org.apache.lucene.search.spans

## Class SpanMultiTermQueryWrapper.SpanRewriteMethod

- java.lang.Object
- - org.apache.lucene.search.MultiTermQuery.RewriteMethod
  - - org.apache.lucene.search.spans.SpanMultiTermQueryWrapper.SpanRewriteMethod

- Direct Known Subclasses:
    SpanMultiTermQueryWrapper.TopTermsSpanBooleanQueryRewrite
  Enclosing class:
    SpanMultiTermQueryWrapper<Q extends MultiTermQuery>

      public abstract static class SpanMultiTermQueryWrapper.SpanRewriteMethod
      extends MultiTermQuery.RewriteMethod

  Abstract class that defines how the query is rewritten.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpanRewriteMethod()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract SpanQuery` | `rewrite(IndexReader reader, MultiTermQuery query)`

    - ### Methods inherited from class org.apache.lucene.search.MultiTermQuery.RewriteMethod

      `getTermsEnum`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanRewriteMethod

          public SpanRewriteMethod()

  - ### Method Detail

    - #### rewrite

          public abstract SpanQuery rewrite(IndexReader reader,
                                            MultiTermQuery query)
                                     throws IOException

      Specified by:
        `rewrite` in class `MultiTermQuery.RewriteMethod`
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.